Summary:	Password checking library
Summary(fr):	Bibliothque de vrification de mots de passe
Summary(tr):	Parola denetim kitapl
Summary(pl):	Biblioteka sprawdzania hase
Name:		cracklib
Version:	2.7
Release:	7
Group:		Libraries
Group(pl):	Biblioteki
Copyright:	artistic
Source:		%{name}_%{version}.tgz
Patch0:		cracklib.patch
Patch1:		cracklib-pld.patch
URL:		ftp://coast.cs.purdue.edu/pub/tools/unix/cracklib
Buildroot:	/tmp/%{name}-%{version}-root

%description
Checks passwords for security related characteristics - length, uniqueness, 
whether they are in a word database, etc.

%description -l de
berprft Pawrter auf Sicherheitsmerkmale - Lnge, Eindeutigkeit, 
Anwesenheit in einer Wrter-Datenbank usw.

%description -l fr
Vrifie les caractristiques lies  la scurit des  mots de passe - longueur,
unicit, s'ils sont dans une base de mots, etc.

%description -l tr
Parolalarn uzunluklar, sistemde tek olmalar, szck veri tabannda
bulunmamalar gibi gvenlikle ilgili zelliklerini kontrol eder.

%description -l pl
Sprawdza hasa pod ktem bezpieczestwa - dugo, unikalno, czy
wystpuj w sowniu itp.

%package	devel
Summary:	Header files and documentation for cracklib
Summary(pl):	Pliki nagwkowe i dokumentacja dla cracklib
Group:		Development/Libraries
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
Header files and documentation for cracklib.

%description -l pl
Pliki nagwkowe i dokumentacja dla cracklib.

%package	dicts
Summary:	Standard dictionaries (/usr/share/dict/words)
Summary(de):	Standard-Wrterbcher (/usr/share/dict/words)
Summary(fr):	Dictionnaires standards (/usr/share/dict/words)
Summary(tr):	Standart szlkler (/usr/share/dict/words)
Summary(pl):	Standardowe sowniki (/usr/share/dict/words)
Group:		Utilities/System
Group(pl):	Narzdzia/System

%description dicts
Includes the cracklib dictionaries for the standard /usr/dict/words, as
well as utilities needed to create new dictionaries.

%description -l de dicts
Enthlt die Cracklib-Wrterbcher fr die Standard-/usr/share/dict/Wrter sowie
Utilities zum Erstellen neuer Wrterbcher"

%description -l fr dicts
Contient les dictionnaires cracklib pour le /usr/share/dict/words standard,
ainsi que les utilitaires ncessaires  la cration de nouveaux dictionnaires.

%description -l tr dicts
/usr/share/dict/words dosyas iin 'cracklib' kitaplklarn ve yeni szlkler
yaratlmas iin gerekli yardmc programlar ierir.

%description -l pl
Pakiet zawiera sowniki cracklib'a dla standardowego /usr/share/dict/words oraz
narzdzia do tworzenia nowych sownikw.

%prep
%setup  -q -n %{name},%{version}
%patch0 -p1
%patch1 -p1

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/{sbin,lib,include,share/dict}

make \
    ROOT=$RPM_BUILD_ROOT \
    install

strip	 $RPM_BUILD_ROOT%{_sbindir}/packer
strip	--strip-unneeded $RPM_BUILD_ROOT%{_libdir}/lib*.so.*.*

gzip -9nf README MANIFEST LICENCE POSTER HISTORY

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc {README,MANIFEST,LICENCE,POSTER}.gz
%attr(755,root,root) %{_libdir}/lib*so.*

%files devel
%defattr(644,root,root,755)
%doc HISTORY.gz
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files dicts
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/dict/cracklib_dict*

%changelog
* Wed Apr 28 1999 Artur Frysiak <wiget@pld.org.pl>
  [2.7-7]
- build with new rpm
- striped executable

* Tue Jan 26 1999 Micha Kuratczyk <kurkens@polbox.com>
- added pl translations
- cosmetics changes

* Sat Aug 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.7-3]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source and %setup,
- added stripping shared libraries,
- added devel subpackage,
- added %attr and %defattr macros in %files (allows build package from
  non-root account).
